E-MailRelay

Public Member Functions | List of all members
GPop::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocolText:
[legend]
Collaboration diagram for GPop::ServerProtocolText:
[legend]

## Public Member Functions
| ServerProtocolText (const GNet::Address &peer)
| Constructor. More...
| ServerProtocolText (const ServerProtocolText &)=delete
| ServerProtocolText (ServerProtocolText &&)=delete
ServerProtocolText & | operator= (const ServerProtocolText &)=delete
ServerProtocolText & | operator= (ServerProtocolText &&)=delete
virtual std::string | greeting () const =0
virtual std::string | quit () const =0
virtual std::string | capa () const =0
virtual std::string | user (const std::string &id) const =0

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 221 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

## ◆ ServerProtocolText()

GPop::ServerProtocolText::ServerProtocolText | ( | const GNet::Address & | peer | ) |
| explicit

Constructor.

Definition at line 649 of file gpopserverprotocol.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopserverprotocol.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopserverprotocol.cpp